
Redmine - Defect #2633

Contextual divs after attachments are placed incorrectly in FireFox

2009-01-31 18:35 - Brad Beattie

Status: Closed Start date: 2009-01-31

Priority: Normal Due date:  

Assignee:  % Done: 50%

Category: UI Estimated time: 0.10 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

Was able to fix this issue by moving the contextual inside the message div.

Index: app/views/messages/show.rhtml

===================================================================

--- app/views/messages/show.rhtml    (revision 2338)

+++ app/views/messages/show.rhtml    (working copy)

@@ -23,12 +23,12 @@

 <h3 class="icon22 icon22-comment"><%= l(:label_reply_plural) %></h3>

 <% @replies.each do |message| %>

   <a name="<%= "message-#{message.id}" %>"></a>

-  <div class="contextual">

-    <%= link_to_remote_if_authorized image_tag('comment.png'), { :url => {:action => 'quote', :id

 => message} }, :title => l(:button_quote) %>

-    <%= link_to(image_tag('edit.png'), {:action => 'edit', :id => message}, :title => l(:button_e

dit)) if message.editable_by?(User.current) %>

-    <%= link_to(image_tag('delete.png'), {:action => 'destroy', :id => message}, :method => :post

, :confirm => l(:text_are_you_sure), :title => l(:button_delete)) if message.destroyable_by?(User.

current) %>

-  </div>

   <div class="message reply">

+    <div class="contextual">

+      <%= link_to_remote_if_authorized image_tag('comment.png'), { :url => {:action => 'quote', :

id => message} }, :title => l(:button_quote) %>

+      <%= link_to(image_tag('edit.png'), {:action => 'edit', :id => message}, :title => l(:button

_edit)) if message.editable_by?(User.current) %>

+      <%= link_to(image_tag('delete.png'), {:action => 'destroy', :id => message}, :method => :po

st, :confirm => l(:text_are_you_sure), :title => l(:button_delete)) if message.destroyable_by?(Use

r.current) %>

+    </div>

   <h4><%=h message.subject %> - <%= authoring message.created_on, message.author %></h4>

   <div class="wiki"><%= textilizable message, :content, :attachments => message.attachments %></d

iv>

   <%= link_to_attachments message, :author => false %>

Index: public/stylesheets/application.css

===================================================================

--- public/stylesheets/application.css    (revision 2338)

+++ public/stylesheets/application.css    (working copy)

@@ -158,6 +158,7 @@

 }

 .contextual {float:right; white-space: nowrap; line-height:1.4em;margin-top:5px; padding-left: 10

px; font-size:0.9em;}

 .contextual input {font-size:0.9em;}

+.message .contextual { margin-top: 0; }

 .splitcontentleft{float:left; width:49%;}

 .splitcontentright{float:right; width:49%;}

Associated revisions

Revision 2345 - 2009-02-01 15:36 - Jean-Philippe Lang
Fixed: Contextual divs after attachments are placed incorrectly in FireFox (#2633).

History

#1 - 2009-01-31 20:47 - Brad Beattie

- File Contextual_after_attachments.png added

Sorry, that should have been a png extension.

#2 - 2009-02-01 15:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Committed in r2345. Thanks.

Files

Contextual_after_attachments 128 KB 2009-01-31 Brad Beattie

Contextual_after_attachments.png 128 KB 2009-01-31 Brad Beattie
